# I love OpenSource :-(

%define name madwifi
%define version 0.9.4
%define snaprev r4119
%define snapdate 20100201
%define mdkrelease 4
%if %{snapdate}
%define distname madwifi-hal-0.10.5.6-%{snaprev}-%{snapdate}
%define release %mkrel %{mdkrelease}.%{snaprev}
%else
%define distname %{name}-%{version}
%define release %mkrel %{mdkrelease}
%endif

Summary:	Multiband Atheros Driver for WiFi (MADWIFI) support
Name:		%{name}
Epoch:  	1
Version:	%{version}
Release:	%{release}
Source0:	%{distname}.tar.gz
Source1:	eee-wlan
Source2:	eee-wlan-off
Source3:	eee-wlan-on
Source4:	aspire-leds
Patch0: 	madwifi-20050829-x86_64-rules.patch
License:	BSD or GPLv2
Url:		http://madwifi-project.org
Group:		System/Kernel and hardware
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	sharutils

%description -n %{name}
Multiband Atheros Driver for WiFi (MADWIFI): 
Linux driver for 802.11a/b/g universal NIC cards Cardbus, PCI, or miniPCI
using Atheros chip sets. See also: 
 http://www.mattfoster.clara.co.uk/madwifi-faq.htm, 
 http://madwifiwiki.thewebhost.de/wiki/

%package -n dkms-%{name}
Summary:	Multiband Atheros Driver for WiFi (MADWIFI) dkms driver
Group:		System/Kernel and hardware
Requires:	dkms

%description -n dkms-%{name}
Multiband Atheros Driver for WiFi (MADWIFI): 
Linux driver for 802.11a/b/g universal NIC cards Cardbus, PCI, or miniPCI
using Atheros chip sets. See also: 
 http://www.mattfoster.clara.co.uk/madwifi-faq.htm, 
 http://madwifiwiki.thewebhost.de/wiki/

%prep
%setup -q -n %{distname}
%patch0 -p1 -b .x86_64-rules

%build
%make -C tools

%install
rm -rf $RPM_BUILD_ROOT

# driver source
mkdir -p $RPM_BUILD_ROOT/%{_usr}/src/%{name}-%{version}-%{release}
cp -r * $RPM_BUILD_ROOT/%{_usr}/src/%{name}-%{version}-%{release}
cat > $RPM_BUILD_ROOT/%{_usr}/src/%{name}-%{version}-%{release}/dkms.conf <<EOF
PACKAGE_NAME=%{name}
PACKAGE_VERSION=%{version}-%{release}

DEST_MODULE_LOCATION[0]=/kernel/drivers/net/wireless
DEST_MODULE_LOCATION[1]=/kernel/drivers/net/wireless
DEST_MODULE_LOCATION[2]=/kernel/drivers/net/wireless
DEST_MODULE_LOCATION[3]=/kernel/drivers/net/wireless
DEST_MODULE_LOCATION[4]=/kernel/drivers/net/wireless
DEST_MODULE_LOCATION[5]=/kernel/drivers/net/wireless
DEST_MODULE_LOCATION[6]=/kernel/drivers/net/wireless
DEST_MODULE_LOCATION[7]=/kernel/drivers/net/wireless
DEST_MODULE_LOCATION[8]=/kernel/drivers/net/wireless
DEST_MODULE_LOCATION[9]=/kernel/drivers/net/wireless
DEST_MODULE_LOCATION[10]=/kernel/drivers/net/wireless
DEST_MODULE_LOCATION[11]=/kernel/drivers/net/wireless
DEST_MODULE_LOCATION[12]=/kernel/drivers/net/wireless
BUILT_MODULE_NAME[0]=ath_pci
BUILT_MODULE_LOCATION[0]=ath
BUILT_MODULE_NAME[1]=ath_hal
BUILT_MODULE_LOCATION[1]=ath_hal
BUILT_MODULE_NAME[2]=wlan
BUILT_MODULE_LOCATION[2]=net80211
BUILT_MODULE_NAME[3]=wlan_wep
BUILT_MODULE_LOCATION[3]=net80211
BUILT_MODULE_NAME[4]=wlan_tkip
BUILT_MODULE_LOCATION[4]=net80211
BUILT_MODULE_NAME[5]=wlan_ccmp
BUILT_MODULE_LOCATION[5]=net80211
BUILT_MODULE_NAME[6]=wlan_xauth
BUILT_MODULE_LOCATION[6]=net80211
BUILT_MODULE_NAME[7]=wlan_acl
BUILT_MODULE_LOCATION[7]=net80211
BUILT_MODULE_NAME[8]=wlan_scan_ap
BUILT_MODULE_LOCATION[8]=net80211
BUILT_MODULE_NAME[9]=wlan_scan_sta
BUILT_MODULE_LOCATION[9]=net80211
BUILT_MODULE_NAME[10]=ath_rate_amrr
BUILT_MODULE_LOCATION[10]=ath_rate/amrr
BUILT_MODULE_NAME[11]=ath_rate_onoe
BUILT_MODULE_LOCATION[11]=ath_rate/onoe
BUILT_MODULE_NAME[12]=ath_rate_sample
BUILT_MODULE_LOCATION[12]=ath_rate/sample

MAKE[0]="make KERNELPATH=\${kernel_source_dir} TARGET=%{_arch}-elf modules"

AUTOINSTALL=yes
EOF

# utils 
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
%makeinstall -C tools DESTDIR=$RPM_BUILD_ROOT BINDIR=%{_bindir} MANDIR=%{_mandir}

# reload ath_pci after suspend
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/pm/config.d/
cat > $RPM_BUILD_ROOT%{_sysconfdir}/pm/config.d/%name <<EOF
SUSPEND_MODULES="\$SUSPEND_MODULES ath_pci"
EOF
# reload ath_pci on EEE after switching wlan
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/acpi/{events,actions}
cp %SOURCE1 $RPM_BUILD_ROOT%{_sysconfdir}/acpi/actions
cp %SOURCE2 %SOURCE3 $RPM_BUILD_ROOT%{_sysconfdir}/acpi/events
# Enable leds on Aspire One
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}
cp %SOURCE4 $RPM_BUILD_ROOT%{_datadir}/%{name}
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/udev/rules.d/
cat > $RPM_BUILD_ROOT%{_sysconfdir}/udev/rules.d/20-madwifi.rules <<EOF
ENV{INTERFACE}=="wifi0", DRIVERS=="ath_pci", RUN+="%{_datadir}/%{name}/aspire-leds"
EOF

%post -n dkms-%{name}
/usr/sbin/dkms --rpm_safe_upgrade add -m %name -v %version-%release
/usr/sbin/dkms --rpm_safe_upgrade build -m %name -v %version-%release
/usr/sbin/dkms --rpm_safe_upgrade install -m %name -v %version-%release --force
exit 0

%preun -n dkms-%{name}
/usr/sbin/dkms --rpm_safe_upgrade remove -m %name -v %version-%release --all
exit 0

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYRIGHT README
%{_bindir}/*
%{_mandir}/man*/*
%{_sysconfdir}/pm/config.d/%name
%{_sysconfdir}/acpi/*/eee-*
%{_sysconfdir}/udev/rules.d/20-madwifi.rules
%{_datadir}/%{name}

%files -n dkms-%{name}
%defattr(-,root,root)
%doc COPYRIGHT README
%dir %{_usr}/src/%{name}-%{version}-%{release}
%{_usr}/src/%{name}-%{version}-%{release}/*


%changelog
* Tue Feb 23 2010 Christophe Fergeau <cfergeau@mandriva.com> 1:0.9.4-4.r4119mdv2010.1
+ Revision: 510028
- fix release number
- update madwifi snapshot, should fix compilation with kernel 2.6.33

* Wed Aug 19 2009 Christophe Fergeau <cfergeau@mandriva.com> 1:0.9.4-4.r4068mdv2010.0
+ Revision: 418093
- new snapshot, fix compilation with recent kernels

* Tue Apr 14 2009 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1:0.9.4-4.r3998mdv2009.1
+ Revision: 367210
- Updated to 0.10.5.6-r3998-20090413
- Updated Url tag.
- Removed uneeded kernel-source BuildRequires.

* Thu Aug 21 2008 Pascal Terjan <pterjan@mandriva.org> 1:0.9.4-3.r3835mdv2009.0
+ Revision: 274720
- Fix udev rule

* Thu Aug 21 2008 Pascal Terjan <pterjan@mandriva.org> 1:0.9.4-2.r3835mdv2009.0
+ Revision: 274615
- Enable leds on Acer Aspire One

* Tue Aug 19 2008 Pascal Terjan <pterjan@mandriva.org> 1:0.9.4-1.r3835mdv2009.0
+ Revision: 273939
- Update
- Switch to branch madwifi-hal-0.10.5.6 directly

* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 1:0.9.3.3-7.r3114mdv2009.0
+ Revision: 241597
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - use updated HAL 0.10.5.6 (and enable it on all architectures)

* Wed Apr 02 2008 Pascal Terjan <pterjan@mandriva.org> 1:0.9.3.3-5.r3114mdv2008.1
+ Revision: 191566
- Move acpi and hooks out of dkms package, would not be in binary dkms packages

* Fri Mar 28 2008 Pascal Terjan <pterjan@mandriva.org> 1:0.9.3.3-4.r3114mdv2008.1
+ Revision: 190882
- (Un)load ath_pci on EeePc after switching wlan (#39115)

* Thu Mar 27 2008 Pascal Terjan <pterjan@mandriva.org> 1:0.9.3.3-3.r3114mdv2008.1
+ Revision: 190682
- Reload ath_pci on resume

* Wed Mar 26 2008 Olivier Blin <oblin@mandriva.com> 1:0.9.3.3-2.r3114mdv2008.1
+ Revision: 190247
- remove hardcoded prefix
- do not require drakxtools anymore (#37727)

* Fri Jan 04 2008 Olivier Blin <oblin@mandriva.com> 1:0.9.3.3-1.r3114mdv2008.1
+ Revision: 144927
- add AR5007EG support (notably EeePC) with patch from Atheros (upstream ticket 1679)
- update to SVN snapshot r3114 from 20080104
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Dec 11 2007 Emmanuel Andry <eandry@mandriva.org> 1:0.9.3.3-1mdv2008.1
+ Revision: 117494
- New version - fixes CVE-2007-5448 (bug #35840)

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix summary-ended-with-dot

* Tue Oct 02 2007 Olivier Blin <oblin@mandriva.com> 1:0.9.3.2-3mdv2008.0
+ Revision: 94536
- rebuild for kmod provides

* Wed Aug 22 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1:0.9.3.2-2mdv2008.0
+ Revision: 69070
- Small cleanups.
- Allow safe updates: use release, always exit with successful status,
  and use --force with dkms install (see #28599).
- Don't clean builddir on clean section.

* Tue Aug 21 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1:0.9.3.2-1mdv2008.0
+ Revision: 68427
- Added epoch to allow update from old 0.20050829-3mdk x86_64 package.

  + Funda Wang <fwang@mandriva.org>
    - New versin 0.9.3.2

  + Adam Williamson <awilliamson@mandriva.org>
    - update doc file list for dkms package
    - correct license (dual BSD and GPLv2)

* Sat Jun 23 2007 Emmanuel Andry <eandry@mandriva.org> 0.9.3.1-1mdv2008.0
+ Revision: 43483
- New version (security fixes)
- uncompress patch

* Mon May 21 2007 Olivier Blin <oblin@mandriva.com> 0.9.3-1mdv2008.0
+ Revision: 29365
- remove hardcoded packager tag
- 0.9.3 (and add more ath_rate modules)
- Import madwifi



* Mon Aug 14 2006 Arnaud Patard <apatard@mandriva.com> 0.9.2-1mdv2007
- 0.9.2

* Thu Sep  1 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 0.20050829-3mdk
- fix build on x86_64

* Tue Aug 30 2005 Arnaud Patard <apatard@mandriva.com> 0.20050829-2mdk
- Correct build dependencies

* Mon Aug 29 2005 Arnaud Patard <apatard@mandriva.com> 0.20050829-1mdk
- CVS update
- Removed ath_rate_* entries in dkms.conf as it doens't exist anymore
- Drop depends of dkms-madwifi on madwifi

* Fri Mar 11 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.20050121-2mdk
- make it build on x86_64

* Fri Jan 21 2005 Arnaud Patard <apatard@mandrakesoft.com> 0.20050121-1mdk
- Fresher cvs snapshot to get 2.6.10 support

* Mon Sep 13 2004 Nicolas Planel <nplanel@mandrakesoft.com> 0.13092004-1mdk
- dkms support.

* Thu Mar 11 2003 Nicolas Planel <nplanel@mandrakesoft.com> 0.20040309-1mdk
- First version.

# Local Variables:
# rpm-spec-insert-changelog-version-with-shell: t
# End:
